quizTypes.radioPhoto = [
  {
    questionMinComponentsCount: 0,
    probability: 10,
    type: 'What is it',

    products: {min: 4, max: 6},
    from: qB.prebuild.similarTaggedProductWithPhoto.fn,
    question(income, log){
      return 'Какой продукт изображен на картинке?'
    },
    answer( income, log ){
      return shuffle(
        [new Answer.Correct(textFormat(income.correct.title))]
          .concat(income.wrong.map(p=>new Answer.Wrong(textFormat(p.title)))))
    }
  },
  {
    questionMinComponentsCount: 0,
    probability: 8,
    type: 'What describes it better',

    products: {min: 3, max: 5},
    from: qB.prebuild.similarTaggedProductWithPhoto.fn,
    question(income, log){
      return 'Какое из этих описаний относится к продукту, изображенному на картинке?'
    },
    answer( income, log ){
      return shuffle(
        [new Answer.Correct(textFormat(income.correct.description))]
          .concat(income.wrong.map(p=>new Answer.Wrong(textFormat(p.description)))))
    }
  },
  {
    questionMinComponentsCount: 2,
    probability: 1.5,//0,//3,
    type: 'What component is in it',

    answers: {min: 4, max: 6},
    from: qB.prebuild.similarTaggedProductWithPhotoAndComponents.fn,
    question(income, log){
      return 'Выберите один ингредиент, который входит в продукт, изображенный на картинке'
    },
    answer( income, log ){
      return shuffle(
        [new Answer.Correct(textFormat(income.correct.name))]
          .concat(income.wrong.map(p=>new Answer.Wrong(textFormat(p.name)))))
    }
  }
];